> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get app download status

> Poll the status of an app download job started by [Initiate app download](/api/app-downloads/initiate-app-download). Poll until `status` is `complete`, then fetch the file from [Get app download file](/api/app-downloads/get-app-download-file).


## Job visibility

Download jobs are visible only to the user the job runs as. If a job was started with a `userId` parameter, fetch the results with the same `userId`.

Additionally, the specified user must still have access to the app when fetching the results using this endpoint.


## OpenAPI

````yaml /api/openapi.yaml get /v1/apps/{documentId}/download/{jobId}/status
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: Who Am I
    description: Inspect your own user permissions
  - name: AI
    description: AI-powered query generation
  - name: AI Credit Controls
    description: Manage organization-level AI credit usage
  - name: AI Credit Usage
    description: Monitor AI credit usage
  - name: AI Evals
    description: >-
      Manage prompt sets and runs used to score AI quality against curated
      prompt suites.
  - name: AI Model Suggestions
    description: Manage AI-generated suggestions for shared models
  - name: AI Routines
    description: >-
      Manage Routines, which are scheduled, recurring AI-powered tasks that run
      automatically on your data
  - name: Apps
    description: Draft and publish app documents.
  - name: App downloads
    description: Download apps as PNG, PDF, XLSX, or CSV files
  - name: Documents v2
    description: >
      A draft-based workflow for creating and editing documents: create a
      document, patch a draft, then publish.
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: IP Allowlist
    description: Manage the organization's IP allowlist
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Color Palettes
    description: Manage custom chart color palettes
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Embed
    description: Manage embed sessions
  - name: Labels
    description: |
      Manage labels in the organization
  - name: Folders
    description: Create and organize content folders
  - name: Folder favorites
    description: Favorite and unfavorite folders
  - name: Folder labels
    description: Apply and manage labels on folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Skills
    description: >-
      Manage skills, the saved slash-command instructions the Omni AI assistant
      runs
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/apps/{documentId}/download/{jobId}/status:
    get:
      tags:
        - App downloads
      summary: Get app download status
      description: >
        Poll the status of an app download job started by [Initiate app
        download](/api/app-downloads/initiate-app-download). Poll until `status`
        is `complete`, then fetch the file from [Get app download
        file](/api/app-downloads/get-app-download-file).
      operationId: appsDownloadStatus
      parameters:
        - $ref: '#/components/parameters/documentId'
        - $ref: '#/components/parameters/userId'
        - name: jobId
          in: path
          required: true
          schema:
            type: string
            format: uuid
            example: 123e4567-e89b-12d3-a456-426614174000
          description: >-
            The job ID returned by [Initiate app
            download](/api/app-downloads/initiate-app-download).
      responses:
        '200':
          description: Download job status.
          content:
            application/json:
              schema:
                type: object
                properties:
                  created_at:
                    type: string
                    description: When the job was created (ISO 8601)
                    example: '2026-10-13T18:30:00.000Z'
                  error:
                    type: string
                    description: |
                      Why the job failed. Present only when `status` is `error`.
                  format:
                    type: string
                    enum:
                      - link_only
                      - pdf
                      - png
                      - csv
                      - xlsx
                      - json
                      - ai_prompt
                      - ai_summary_text
                    description: |
                      Output format. Omitted when `status` is `error`.
                    example: png
                  job_id:
                    type: string
                    description: |
                      Download job ID. Omitted when `status` is `error`.
                  status:
                    type: string
                    enum:
                      - in_progress
                      - complete
                      - error
                    description: |
                      Current status of the download job:

                      - `in_progress` while the app renders
                      - `complete` once the file can be fetched
                      - `error` if the job failed
                    example: complete
                required:
                  - created_at
                  - status
              examples:
                inProgress:
                  summary: Job in progress
                  value:
                    created_at: '2026-10-13T18:30:00.000Z'
                    status: in_progress
                complete:
                  summary: Job complete
                  value:
                    created_at: '2026-10-13T18:30:00.000Z'
                    format: png
                    job_id: 123e4567-e89b-12d3-a456-426614174000
                    status: complete
                error:
                  summary: Job failed
                  value:
                    created_at: '2026-10-13T18:30:00.000Z'
                    status: error
                    error: Job failed to render.
        '400':
          description: '`jobId` is not a UUID.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError400'
        '401':
          description: Missing or invalid authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError401'
        '403':
          description: A Personal Access Token named another user.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError403'
        '404':
          description: App or download job not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError404'
        '405':
          $ref: '#/components/responses/MethodNotAllowed'
        '429':
          $ref: '#/components/responses/TooManyRequests'
components:
  parameters:
    documentId:
      name: documentId
      in: path
      required: true
      schema:
        type: string
        example: 12db1a0a
      description: The document's URL slug (e.g. `abc123`) or its canonical workbook UUID.
    userId:
      name: userId
      schema:
        type: string
        format: uuid
      required: false
      description: >
        **Organization API key required.** The membership ID of the user to act
        as.
      in: query
  schemas:
    ApiError400:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message describing what went wrong.
        status:
          type: integer
          description: HTTP status code of the error.
          example: 400
      required:
        - detail
        - status
    ApiError401:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message describing what went wrong.
          example: 'Unauthorized: Missing or invalid API key'
        status:
          type: integer
          description: HTTP status code of the error.
          example: 401
      required:
        - detail
        - status
    ApiError403:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message describing what went wrong.
        status:
          type: integer
          description: HTTP status code of the error.
          example: 403
      required:
        - detail
        - status
    ApiError404:
      type: object
      properties:
        detail:
          type: string
          description: Human-readable error message describing what went wrong.
        status:
          type: integer
          description: HTTP status code of the error.
          example: 404
      required:
        - detail
        - status
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  responses:
    MethodNotAllowed:
      description: Method Not Allowed - Invalid HTTP method for this endpoint
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#token-types).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.